## org.apache.cassandra.cql.jdbc
Class JdbcUTF8

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.lang.String>
          org.apache.cassandra.cql.jdbc.JdbcUTF8

    public class JdbcUTF8

extends AbstractJdbcType<java.lang.String>

Field Summary
`static JdbcUTF8` `instance`

Constructor Summary
`JdbcUTF8()`

Method Summary
`java.lang.String` `compose(java.nio.ByteBuffer bytes)`
`int` `getJdbcType()`
`int` `getPrecision(java.lang.String obj)`
`int` `getScale(java.lang.String obj)`
`java.lang.String` `getString(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.lang.String>` `getType()`
`boolean` `isCaseSensitive()`
`boolean` `isCurrency()`
`boolean` `isSigned()`
`boolean` `needsQuotes()`
`java.lang.String` `toString(java.lang.String obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final JdbcUTF8 instance

Constructor Detail

### JdbcUTF8

    public JdbcUTF8()

Method Detail

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in class `AbstractJdbcType<java.lang.String>`

### getScale

    public int getScale(java.lang.String obj)

  Specified by:
    `getScale` in class `AbstractJdbcType<java.lang.String>`

### getPrecision

    public int getPrecision(java.lang.String obj)

  Specified by:
    `getPrecision` in class `AbstractJdbcType<java.lang.String>`

### isCurrency

    public boolean isCurrency()

  Specified by:
    `isCurrency` in class `AbstractJdbcType<java.lang.String>`

### isSigned

    public boolean isSigned()

  Specified by:
    `isSigned` in class `AbstractJdbcType<java.lang.String>`

### toString

    public java.lang.String toString(java.lang.String obj)

  Specified by:
    `toString` in class `AbstractJdbcType<java.lang.String>`

### needsQuotes

    public boolean needsQuotes()

  Specified by:
    `needsQuotes` in class `AbstractJdbcType<java.lang.String>`

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Specified by:
    `getString` in class `AbstractJdbcType<java.lang.String>`

### getType

    public java.lang.Class<java.lang.String> getType()

  Specified by:
    `getType` in class `AbstractJdbcType<java.lang.String>`

### getJdbcType

    public int getJdbcType()

  Specified by:
    `getJdbcType` in class `AbstractJdbcType<java.lang.String>`

### compose

    public java.lang.String compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractJdbcType<java.lang.String>`

Copyright © 2012 The Apache Software Foundation